From decfe3424fa4975ed9315feaa98ad7b56e719f4d Mon Sep 17 00:00:00 2001
From: Scott Lahteine <github@thinkyhead.com>
Date: Wed, 26 Jun 2019 03:03:39 -0500
Subject: [PATCH] Helper script updates

---
 buildroot/share/git/mfadd | 4 ++--
 buildroot/share/git/mffp  | 2 +-
 buildroot/share/git/mfpr  | 4 ++--
 buildroot/share/git/mfqp  | 4 ++--
 4 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/buildroot/share/git/mfadd b/buildroot/share/git/mfadd
index 71c15cd3bf6..92b2e0063ec 100755
--- a/buildroot/share/git/mfadd
+++ b/buildroot/share/git/mfadd
@@ -1,13 +1,13 @@
 #!/usr/bin/env bash
 #
-# mfadd
+# mfadd (user|ref) [copyname]
 #
 # Add a remote and fetch it. Optionally copy a branch.
 #
 # Example: mfadd myfork:patch-1 copy_of_patch-1
 #
 
-[[ $# > 0 && $# < 3 && $1 != "-h" && $1 != "--help" ]] || { echo "usage: `basename $0` (user | ref copyname)" 1>&2 ; exit 1; }
+[[ $# > 0 && $# < 3 && $1 != "-h" && $1 != "--help" ]] || { echo "usage: `basename $0` (user|ref) [copyname]" 1>&2 ; exit 1; }
 
 # If a colon is included, split the parts
 if [[ $1 =~ ":" ]]; then
diff --git a/buildroot/share/git/mffp b/buildroot/share/git/mffp
index 8a5fb40de99..db52b08b74f 100755
--- a/buildroot/share/git/mffp
+++ b/buildroot/share/git/mffp
@@ -1,6 +1,6 @@
 #!/usr/bin/env bash
 #
-# mffp
+# mffp [1|2] [commit-id]
 #
 # Push the given commit (or HEAD) upstream immediately.
 # By default: `git push upstream HEAD:bugfix-1.1.x`
diff --git a/buildroot/share/git/mfpr b/buildroot/share/git/mfpr
index 773a13a05c3..73af049ab1b 100755
--- a/buildroot/share/git/mfpr
+++ b/buildroot/share/git/mfpr
@@ -1,8 +1,8 @@
 #!/usr/bin/env bash
 #
-# mfpr
+# mfpr [1|2]
 #
-# Make a PR of the current branch against RCBugFix or dev
+# Make a PR against bugfix-1.1.x or bugfix-2.0.x
 #
 
 [[ $# < 2 && $1 != "-h" && $1 != "--help" ]] || { echo "usage: `basename $0` [branch]" 1>&2 ; exit 1; }
diff --git a/buildroot/share/git/mfqp b/buildroot/share/git/mfqp
index febd3c8ad34..efc76fb3e93 100755
--- a/buildroot/share/git/mfqp
+++ b/buildroot/share/git/mfqp
@@ -1,6 +1,6 @@
 #!/usr/bin/env bash
 #
-# mfqp
+# mfqp [-q|--quick] [1|2]
 #
 # Add all changed files, commit as "patch", do `mfrb` and `git push -f`
 #
@@ -24,7 +24,7 @@ done
 
 [[ ${INFO[4]} =~ [0-9] ]] && USAGE=1
 
-[[ $USAGE ]] && { echo "usage: `basename $0` [1|2]" 1>&2 ; exit 1 ; }
+[[ $USAGE ]] && { echo "usage: `basename $0` [-hq] [1|2]" 1>&2 ; exit 1 ; }
 
 git add .
 git commit -m "patch"